::-webkit-scrollbar {
    width: 10px; 
    background-color: #0f2c1e; 
}

::-webkit-scrollbar-thumb {
    background-color: #384f3e; 
}

body {
    scrollbar-color: #666 #333; 
    font-family: Arial, sans-serif;
    margin: 0 auto;
    padding: 0;
    background-color:#c3dbc3 ;
    box-sizing: border-box;
    cursor: default;
}

.header-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5px;
    background-color: #ffffff;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
}

.logo {
    width: 200px;
    margin-left: 20px;
}

.navbar {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    width: calc(100%-60px);
    margin-right: 20px;
}

.nav-links {
    list-style: none;
    display: flex;
    margin: 0;
    padding: 0;
    margin-right: 20px ;
}

.nav-links li {
    margin-left: 20px;
}

.nav-links a {
    text-decoration: none;
    color: #245223;
}
.nav-links a:hover {
    text-decoration: underline #245223;
    color: #245223;
}

.toggle-button {
    display: none; 
}

.toggle-icon,
.close-icon {
    cursor: pointer;
    width: 30px;
    height: auto;
    margin-right: 20px;
}


@media screen and (max-width: 768px) {
    .navbar {
        flex-direction: column; 
        align-items: flex-start; 
    }

    .nav-links {
        display: none; 
        position: absolute;
        top: 60px; 
        left: 0;
        width: 100%;
        background-color: #ffffff;
        flex-direction: column;
        text-align: center;
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1); 
        z-index: 1000; 
    }

    .nav-links.active {
        display: flex; 
    }

    .nav-links li {
        margin-left: 0; 
        padding: 10px;
    }

    .toggle-button {
        display: block; 
    }
}

.hero img {
    width: 100%;
    height: auto;
    object-fit: cover;
}

.section h2 {
    text-align: center;
    color: #767676;
    font-size: 60px;
    font-weight: 900;
    margin-bottom: 0;
}
.linie-bg{
    background-color: #fff;
}
.linie{
    width: 80%;
    height: 2px;
    margin: 0 auto;
    background: linear-gradient(to right, transparent, #245223, transparent);
}
.leistung-header{
    background-color: #fff;
    margin: 0;
    padding: 20px;
}
.subtitle-spacing{
    padding: 20px;
}
.about-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 60px;
}

.about-text {
    flex: 1;
    margin-right: 20px;
    margin-left: 80px;
    width: 100px;
    text-align: justify;
    padding: 10px;
    font-size: 18px;
    line-height: 1.8em;
}

.about-image {
    flex: 1;
    text-align: center;
}

.about-image img {
    width:500px;
    height: auto;
    border-radius: 5px;
}
.bild-beschriftung{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 15px;
    font-style: italic;
    line-height: 0;
}
.sec-bildunterschrift{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 13px;
    font-style: italic;
}
.service-sub-header{
    color: #767676;
    margin-top: 10px;
    margin-bottom: 40px;
    font-size: 25px;
    font-weight: 750;
    text-align: center;

}
.service-white{
    padding: 80px;
    background-color: #fff;
    display: flex;
    align-items: center;
    justify-content: space-between; 
}
.service-green{
    padding: 80px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.leistung-text{
    width: 500px;
    text-align: justify;
    margin-left: auto;
    margin-right: auto;
    line-height: 1.5em;
}
.leistung-text-green{
    width: 500px;
    text-align: justify;
    margin-left: auto;
    margin-right: auto;
    line-height: 1.5em;
}
.leistung-title{
    color: #245223;
    margin-top: 0;
    text-align: center;
    font-size: 25px;
}
.leistung-title-green{
    color: #245223;
    margin-top: 0;
    text-align: center;
    font-size: 25px;
}
.titles-section{
   flex: 1;  
   margin-right: 50px;
   text-align: center;
   order: 1;
}
.titles-section-green{
    flex: 1;  
    margin-right: 50px;
    text-align: left;
    order: 2;
 }
.leistungs-image{
    flex: 1;
    text-align: center;  
    order: 1;
}
.leistungs-image-green{
    flex: 1;
    text-align: center;  
    order: 2;
}

.leistungs-icon{
    width: 150px;
    height: 150px;
}
.leistungs-icon-green{
    width: 150px;
    height: 150px;
}
.service-leistungen-down{
    color: #767676;
    margin-left: 40px;
    text-align: center;
}


.hour-container{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 50px;
}
.öffnungszeiten {
    max-width: 400px;
    margin-left: 60px;
    line-height: 1.5em;
    flex: 1;
    margin-right: 60px;
    font-size: 17px;
    
}

.tag {
    display: flex;
    justify-content: space-between;
    padding: 5px 0;
}

.tag span:first-child {
    text-align: left;
}

.tag span:last-child {
    text-align: right;
}
.gutschein-section{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 20px;
    flex: 1;
    max-width: 500px;
    margin-right: 60px;
}
.gutschein{
    width: 100px;
    height: 100px;
    border-radius: 50%;
    overflow: hidden;
    position: relative;
    margin-bottom: 10px;
}
.geschenk-img{
    width: auto;
    height: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.gutschein-text{
    color: #767676;
    text-align: center;
    font-size: 16px;
}
.button-section{
    text-align: center;
    margin-top: 40px;
    margin-bottom: 40px;
}
.contact-button{
    padding: 20px;
    border:rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    background-color: #245223;
    color: #fff;
    font-size: 15px;
}
.contact-button:hover{
    cursor: pointer;
    transform: scale(1.1);
}
#second-button{
    margin-left: 20px;
}
#under-contact{
    margin-bottom: 50px;
}
footer {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    padding-top: 20px;
    padding-bottom: 0;
    padding-left: 20px;
    padding-right: 20px;
    background-color: #fff;
    border-top: 1px solid #9f9f9f;
    position: relative;
    color: #245223;
}
.footer-content {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: flex-end;
    margin-bottom: 30px;
}
.logo-section, .center-section, .contact-section {
    flex: 1;
    min-width: 300px;
    text-align: center;
}
.logo-section {
    text-align: left;
}
.logo-section img {
    margin-bottom: 20px;
}
.center-section {
    text-align: center;
}
.center-section p, .center-section div {
    margin: 5px 0;
}
.center-section p{
    font-weight: bold;
}
.center-section div {
    display: flex;
    justify-content: center;
}
.center-section div a {
    margin: 0 10px;
    color: #245223;
    text-decoration: none;
    
}
.center-section div a:hover {
    margin: 0 10px;
    color: #245223;
    text-decoration: underline #245223;
}
.contact-section {
    text-align: right;
}
.contact-section a{
    color: #245223;
    text-decoration: none;
}
.contact-section a:hover{
    text-decoration: underline #245223;
}
.created-by {
    position: absolute;
    bottom: 5px;
    left: 20px;
    font-size: 12px;
    color: #245223;
}
.created-by:hover {
   text-decoration: underline #245223;
}
.imp-dat-container{
    margin: 30px;
}
.first-subtitle{
    text-align: left;
    color: #767676;
    font-size: 60px;
    font-weight: 900;
    margin-top: 100px;
    margin-bottom: 50px;
}
.imp-dat-text {
    text-align: left;
    font-size: 12px;
    line-height: 1.3rem;
}
.imp-dat-text a{
    color: black;
    text-decoration: none;
}
.imp-dat-text a:hover{
    text-decoration: underline #000;
}
.sec-subtitle{
    text-align: left;
    color: #767676;
    font-size: 25px;
}
.imp-dat-text-last {
    text-align: left;
    margin-bottom: 30px;
    font-size: 12px;
    line-height: 1.3rem;
}
.second-subtitle{
    text-align: left;
    color: #767676;
    font-size: 30px;
    font-weight: 900; 
}
.small-subtitle{
    text-align: left;
    color: #767676;
    font-size: 20px;
    
}
@media (max-width: 480px){
    .first-subtitle{
        text-align: center;
        margin: 0;
        margin-top: 100px;
        font-size: 30px;
        margin-bottom: 20px;
    }
    .sec-subtitle{
        text-align: center;
        margin: 0 auto;
        font-weight: 900;
        font-size: 15px;
    }
    .second-subtitle{
        text-align: center;
        margin: 0 auto;
        font-weight: 900;
        font-size: 20px;
    }
    .small-subtitle{
        text-align: center;
        margin: 0 auto;
        font-weight: 900;
        font-size: 12px;
    }
    .imp-dat-text{
        text-align: center;
        margin: 0 auto;
        margin-top: 30px;
        margin-bottom: 30px;
    }
    .imp-dat-text-last{
        text-align: center;
        margin: 0 auto;
        margin-top: 30px;
        margin-bottom: 50px;
    }
   .liste-dsgvo{
    text-align: left;
    margin: 0 auto;
   }
    .about-image img{
        width: 300px;
        height: auto;
        text-align: center;
    }
    .bild-beschriftung{
        font-size: 10.5px;
    }
    .sec-bildunterschrift{
        font-size: 9px;
    }
    .hero img{
        width: 100%;
        height: 300px;
        object-fit: cover;
        object-position: 25% 75%;
    }
    .section h2{
        text-align: center;
        margin-bottom: 20px;
        margin: 0;
        margin-top: 30px;
        font-size: 40px;
    }
    .service-sub-header{
        text-align: center;
        margin: 0;
        margin-bottom: 30px;
        margin-top: 20px;
        font-size: 18px;
        margin-left: 5px;
        margin-right: 5px;
    }
    .about-text{
        font-size: 13px;
        width: 80%;
        text-align: justify;
        margin-left: auto;
        margin-right: auto;
    }
    .service-white{
        padding: 50px 20px;
        flex-direction: column;
        text-align: center;
        font-size: 13px;
    }

    .service-green{
        flex-direction: column;
        padding: 50px 20px;
        align-items: center;
        text-align: center;
        font-size: 13px;
    }
    .leistungs-image img{
        align-items: center;
    }
    .titles-section-green {
        margin: 20px 0; 
        width: 100%; 
        order: initial; 
    }
    .leistung-text{
        width: 80%;
        text-align: center;
        margin: 0 auto;
        margin-bottom: 20px;
    }
    .leistung-text-green{
        width: 80%;
        text-align: center;
        margin: 0 auto;
        margin-bottom: 20px;
    }
    .titles-section{
        text-align: center;
        margin: auto;
        margin-right: 0;
        
    }
    .titles-section-green{
        text-align: center;
        margin: auto;
        margin-right: 0;
        
    }
    .service-leistungen-down{
        text-align: center;
        font-size: 12px;
        margin-left: 10px;
        margin-right: 10px;
        margin-bottom: 30px;
    }
    .öffnungszeiten{
        width: 100%;
        margin: 0;
        margin-left: auto;
        margin-right: auto;
    }
    .tag{
        font-size: 12px;
    }
    .hour-container{
        flex-direction: column;
    }
    .gutschein-section{
        margin-top: 30px;
        align-items: center;
    }
    .gutschein-text{
        font-size: 13px;
    }
    .button-section{
        display: flex;
        width: 100%;
        margin-top: 10px 0;
        text-align: center;
        flex-direction: column;
        align-items: center;
    }
    .contact-button{
        font-size: 14px;
    }
    #second-button{
        margin-top: 20px;
        margin: 0;
    }
    .logo-section, .center-section, .contact-section {
        text-align: center;
        font-size: 15px;
        margin: 0;
        margin-left: auto;
        margin-right: auto;
    }
    .created-by{
        font-size: 10px;
    }
}
@media (min-width: 481px) and (max-width: 768px) {
    .leistung-header {
        padding: 27px;
    }
    .subtitle-spacing{
        padding: 27px;
    }
    .first-subtitle{
        text-align: center;
        margin: 0;
        margin-top: 100px;
        font-size: 35px;
        margin-bottom: 20px;
    }
    .sec-subtitle{
        text-align: center;
        margin: 0 auto;
        font-weight: 900;
        font-size: 20px;
    }
    .second-subtitle{
        text-align: center;
        margin: 0 auto;
        font-weight: 900;
        font-size: 25px;
    }
    .small-subtitle{
        text-align: center;
        margin: 0 auto;
        font-weight: 900;
        font-size: 15px;
    }
    .imp-dat-text{
        text-align: center;
        margin: 0 auto;
        margin-top: 30px;
        margin-bottom: 30px;
    }
    .imp-dat-text-last{
        text-align: center;
        margin: 0 auto;
        margin-top: 30px;
        margin-bottom: 50px;
    }
   .liste-dsgvo{
    text-align: left;
    margin: 0 auto;
   }
    .hero img{
        width: 100%;
        height: 400px;
        object-fit: cover;
        object-position: 25% 75%;
    }

    .about-container{
        display: flex;
        flex-direction: column;
    }

    .about-text{
        font-size: 15px;
        width: 80%;
        text-align: center;
        margin:0 auto;
    }
    .about-image img{
        width: 400px;
        height: auto;
        text-align: center;
    }
    .bild-beschriftung{
        font-size: 13px;
    }
    .sec-bildunterschrift{
        font-size: 11px;
    }
    .section h2{
        text-align: center;
        margin: 0;
        margin-top: 30px;
        font-size: 45px;
    }

    .service-white{
        padding: 50px 20px;
        flex-direction: column;
        text-align: center;
    }

    .service-green{
        flex-direction: column;
        padding: 50px 20px;
        align-items: center;
    }

    .service-sub-header{
        text-align: center;
        margin: 0;
        margin-bottom: 30px;
        margin-top: 20px;
        font-size: 20px;
    }
    .leistung-text{
        width: 80%;
        text-align: center;
        margin: 0 auto;
        margin-bottom: 20px;
    }
    .leistung-text-green{
        width: 80%;
        text-align: center;
        margin: 0 auto;
        margin-bottom: 20px;
    }
    .titles-section-green {
        margin: 20px 0; 
        width: 100%; 
        order: initial; 
    }

    .titles-section{
        text-align: center;
        margin: auto;
        margin-right: 0;
        
    }
    .titles-section-green{
        text-align: center;
        margin: auto;
        margin-right: 0;
        
    }
    .service-leistungen-down{
        text-align: center;
        margin: 0;
        font-size: 15px;
        margin-top: 20px;
        margin-bottom: 50px;
        margin-left: 20px;
        margin-right:20px;
        line-height: 1.5em;
    }
    .öffnungszeiten{
        width: 100%;
        align-items: center;
    }
    .tag{
        font-size: 15px;
    }
    .hour-container{
        flex-direction: column;
    }
    .gutschein-section{
        margin-top: 50px;
        align-items: center;
    }
    .button-section{
        display: flex;
        margin-top: 30px;
        flex-direction: column;
        align-items: center;
        margin-left: auto;
        margin-right: auto;
    }
    .contact-button{
        font-size: 14px;
    }
    #second-button{
        margin-top: 20px;
        margin: 0;
    }
    footer {
        align-items: center;
        text-align: center;
        padding: 20px 10px;
    }
    .footer-content {
        flex-direction: column;
        align-items: center;
        text-align: center;
        margin-bottom: 0;
    }
    .center-section div {
        flex-direction: row;
    }
    .logo-section, .center-section, .contact-section {
        text-align: center;
        font-size: 15px;
        margin: 0;
        margin-left: auto;
        margin-right: auto;
    }
    .logo-section {
        padding-top: 20px;
    }
    .center-section {
        margin-top: 20px;
        order: 3;
        text-align: center;
        margin-bottom: 30px;
    }
    .created-by {
        position: absolute;
        bottom: 5px;
        left: 20px;
        text-align: left;
        width: auto;
        font-size: 10px;
    } 
}

@media (max-width: 1100px){
    .about-container{
        display: flex;
        flex-direction: column;
    }
    .about-image{
        margin-top: 20px;
    }
    .about-text{
        font-size: 15px;
        width: 80%;
        text-align: center;
        margin:0 auto;
    }
    .leistungs-icon-green{
        margin-right: 25px;
        text-align: center;
    }
    .leistungs-icon{
        text-align: center;
    }
   
    .hour-container{
        flex-direction: column;
        margin: 0;
    }
    .gutschein-section{
        margin-top: 50px;
        align-items: center;
        margin: 0;
        margin-top: 40px;
    }
    .öffnungszeiten{
        width: 100%;
    }
    .section h2{
        text-align: center;
    }
    .service-sub-header{
        text-align: center;
    }
    .service-leistungen-down{
        text-align: center;
        margin: 0;
        font-size: 15px;
        margin-top: 20px;
        margin-left: 10px;
        margin-right:10px;
        margin-bottom: 50px;
        line-height: 1.5em;
    }
    .button-section{
        display: flex;
        width: 100%;
        margin-top: 20px 0;
        text-align: center;
        flex-direction: column;
        align-items: center;
    }
    .contact-button{
        font-size: 14px;
    }
    #second-button{
        margin-top: 20px;
        margin-left: auto;
        margin-right: auto;
    }
    footer {
        align-items: center;
        text-align: center;
        padding: 20px 10px;
    }
    .footer-content {
        flex-direction: column;
        align-items: center;
        text-align: center;
        margin-bottom: 0;
    }
    .center-section div {
        flex-direction: row;
    }
    .logo-section, .center-section, .contact-section {
        text-align: center;
    }
    .logo-section {
        padding-top: 20px;
    }
    .center-section {
        margin-top: 20px;
        order: 3;
        text-align: center;
        margin-bottom: 30px;
    }
    .created-by {
        position: absolute;
        bottom: 5px;
        left: 20px;
        text-align: left;
        width: auto;
    } 
    
}
